package kr.co.i4way.genesys.stat;


//enum StatSvrObjType {GroupAgents, GroupPlaces, GroupQueues, RoutePoint}
public class StatObject {

	String WallInfo;
	String Objtype;
	int RefId;
	int Dbid;
	int currValue;
//	String objectId;
	String statId;
	String statType;
	String statTypeShort;

	//	String timeProfile;
//	String timeRange;
//	String timeFilter;
//	String notiMode;
	String virtualYn;

	public String getStatTypeShort() {
		return statTypeShort;
	}
	public void setStatTypeShort(String statTypeShort) {
		this.statTypeShort = statTypeShort;
	}
	
	public String getStatId() {
		return statId;
	} 
	public void setStatId(String statId) {
		this.statId = statId;
	}
	public String getWallInfo() {
		return WallInfo;
	}
	public void setWallInfo(String wallInfo) {
		WallInfo = wallInfo;
	}
	public String getVirtualYn() {
		return virtualYn;
	}
	public void setVirtualYn(String virtualYn) {
		this.virtualYn = virtualYn;
	}
	public int getCurrValue() {
		return currValue;
	}
	public void setCurrValue(int currValue) {
		this.currValue = currValue;
	}
	public String getObjtype() {
		return Objtype;
	}
	public void setObjtype(String objtype) {
		Objtype = objtype;
	}
	public int getRefId() {
		return RefId;
	}
	public void setRefId(int refId) {
		RefId = refId;
	}
	public int getDbid() {
		return Dbid;
	}
	public void setDbid(int dbid) {
		Dbid = dbid;
	}
//	public String getObjectId() {
//		return objectId;
//	}
//	public void setObjectId(String objectId) {
//		this.objectId = objectId;
//	}
	public String getStatType() {
		return statType;
	}
	public void setStatType(String statType) {
		this.statType = statType;
	}
//	public String getTimeProfile() {
//		return timeProfile;
//	}
//	public void setTimeProfile(String timeProfile) {
//		this.timeProfile = timeProfile;
//	}
//	public String getTimeRange() {
//		return timeRange;
//	}
//	public void setTimeRange(String timeRange) {
//		this.timeRange = timeRange;
//	}
//	public String getTimeFilter() {
//		return timeFilter;
//	}
//	public void setTimeFilter(String timeFilter) {
//		this.timeFilter = timeFilter;
//	}
//	public String getNotiMode() {
//		return notiMode;
//	}
//	public void setNotiMode(String notiMode) {
//		this.notiMode = notiMode;
//	}	
}